package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.Sprite;

import java.util.HashMap;

public class Bed extends Sprite<Bed.BedState> {
    public enum BedState {
        LEFT, RIGHT
    }

    public Bed() {
        loadResources(new HashMap<>() {
            {
                put(BedState.LEFT, "bed/left.ans");
                put(BedState.RIGHT, "bed/right.ans");
            }
        }, BedState.class);
    }

    @Override
    public String getSprite() {
        return getSprite(BedState.LEFT);
    }

    @Override
    public String getSprite(BedState key) {
        return super.getResource(key);
    }
}
